/**
 * 日历接口
 */
import request from '@/api/index'

// 新增日程
export function addSchedule(data: object) {
  return request({
    url: '/board/calendar/save',
    method: 'post',
    data,
  })
}
// 编辑日程
export function editSchedule(data: object) {
  return request({
    url: '/board/calendar/save',
    method: 'post',
    data,
  })
}
// 日历列表
export function getCalendarList(params: {	calendarMonth: string; userId: string }) {
  return request({
    url: '/board/calendar/list',
    method: 'get',
    params,
  })
}

// 删除日程
export function delSchedule(data: object) {
  return request({
    url: '/board/calendar/remove',
    method: 'post',
    data,
  })
}

